List burn-in acceptance policy definitions for a site
curl --request GET \
--url https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"site_slug": "sta1",
"satellite_name": "sys1-sta1",
"resource_class": "GB300",
"site_requirements": [],
"requirements": [
{
"name": "node-health-check",
"label": "Node health check",
"description": "FM recommended GPU/NIC/storage probes for single-node acceptance.",
"test_slug": "single-node.node-health-check",
"gate": "single_node_acceptance",
"scope": {
"kind": "device"
},
"param_constraints": {
"checks": {
"includes": {
"gpu_count": {
"expected_count": 8
},
"gpu_ecc": {}
}
}
}
},
{
"name": "nccl-loopback-ib",
"label": "nccl-loopback-ib",
"description": null,
"test_slug": "single-node.nccl-all-reduce-loopback",
"gate": "single_node_acceptance",
"scope": {
"kind": "device"
},
"param_constraints": {
"min_bytes": {
"equals": "256M"
},
"max_bytes": {
"equals": "256M"
}
}
},
{
"name": "nccl-nvlink-domain",
"label": "nccl-nvlink-domain",
"description": null,
"test_slug": "multi-node.nccl-all-reduce",
"gate": "multi_node_collective_rack_acceptance",
"scope": {
"kind": "topology",
"unit": "nvlink-domain",
"coverage": {
"mode": "each"
}
},
"param_constraints": {
"min_bytes": {
"equals": "16G"
},
"max_bytes": {
"equals": "16G"
}
}
}
]
}
]{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Burn-in
List burn-in acceptance policy definitions for a site
Endpoint exposing authored burn-in policies applicable to a site’s inventory.
GET
/
api
/
v1
/
burn-in
/
sites
/
{site_id}
/
policies
/
List burn-in acceptance policy definitions for a site
curl --request GET \
--url https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/api/v1/burn-in/sites/{site_id}/policies/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"site_slug": "sta1",
"satellite_name": "sys1-sta1",
"resource_class": "GB300",
"site_requirements": [],
"requirements": [
{
"name": "node-health-check",
"label": "Node health check",
"description": "FM recommended GPU/NIC/storage probes for single-node acceptance.",
"test_slug": "single-node.node-health-check",
"gate": "single_node_acceptance",
"scope": {
"kind": "device"
},
"param_constraints": {
"checks": {
"includes": {
"gpu_count": {
"expected_count": 8
},
"gpu_ecc": {}
}
}
}
},
{
"name": "nccl-loopback-ib",
"label": "nccl-loopback-ib",
"description": null,
"test_slug": "single-node.nccl-all-reduce-loopback",
"gate": "single_node_acceptance",
"scope": {
"kind": "device"
},
"param_constraints": {
"min_bytes": {
"equals": "256M"
},
"max_bytes": {
"equals": "256M"
}
}
},
{
"name": "nccl-nvlink-domain",
"label": "nccl-nvlink-domain",
"description": null,
"test_slug": "multi-node.nccl-all-reduce",
"gate": "multi_node_collective_rack_acceptance",
"scope": {
"kind": "topology",
"unit": "nvlink-domain",
"coverage": {
"mode": "each"
}
},
"param_constraints": {
"min_bytes": {
"equals": "16G"
},
"max_bytes": {
"equals": "16G"
}
}
}
]
}
]{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}{
"detail": "<string>",
"code": "error",
"field_errors": [
{
"field": "<string>",
"messages": [
"<string>"
]
}
]
}Authorizations
oauth2cookieAuth
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Site identifier.